DCMTK - Bug #835

Warnings from GCC 8 in dulconst.cc
2018-06-01 14:40 - Jan Schlamelcher

Status: Closed Start date: 2018-06-01
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Estimated time: 0:00 hour

Target version:
Module: dcmnet Compiler:

Operating System:

Description

GCC 8 gives the following warnings that should be inspected and fixed:

dcmnet/libsrc/dulconst.cc: In function ‘OFCondition streamAssociatePDU (PRV_ASSOCIATEPDU*, unsigned
char*, long unsigned int, long unsigned int*)’:
dcmnet/libsrc/dulconst.cc:485:19: warning: ‘char* strncpy(char*, const char*, size_t)’ specified b
ound depends on the length of the source argument [-Wstringop-overflow=]

(void) strncpy((char *) b, assoc->calledAPTitle,

dcmnet/libsrc/dulconst.cc:488:19: warning: ‘char* strncpy(char*, const char*, size_t)’ specified b
ound depends on the length of the source argument [-Wstringop-overflow=]
(void) strncpy((char *) b, assoc->callingAPTitle,

strlen(assoc->callingAPTitle));

History

#1 - 2018-06-04 18:52 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #0923446.

2025-09-06 1/1



http://www.tcpdf.org

